////
   Licensed to the Apache Software Foundation (ASF) under one
   or more contributor license agreements.  See the NOTICE file
   distributed with this work for additional information
   regarding copyright ownership.  The ASF licenses this file
   to you under the Apache License, Version 2.0 (the
   "License"); you may not use this file except in compliance
   with the License.  You may obtain a copy of the License at

     https://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing,
   software distributed under the License is distributed on an
   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
   KIND, either express or implied.  See the License for the
   specific language governing permissions and limitations
   under the License.
////

= properties

*Tag:* properties


[ivysettings.properties]#Loads a properties file into Ivy variables.# See the variables chapter above for details about Ivy variables.

(*__since 2.0__*) It is possible to access environment variables. This can be done by specifying the environment attribute. This attribute specifies the prefix which can be used to access these environment variables. For instance, if you specify `environment="env"`, you can access the `PATH` environment variable with the `env.PATH` property name.


== Attributes


[options="header",cols="15%,50%,35%"]
|=======
|Attribute|Description|Required
|file|a path to a properties file to load
.2+|One of these
|environment|the prefix to use when retrieving environment variables (*__since 2.0__*)
|override|indicates if the variable found in the properties file should override its previous value, if any (*__since 1.3__*)|No, defaults to true
|=======
